<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>location.hash + iframe跨域-c</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css"></style>
  
</head>
<body>
<script>
   // 监听b.html传来的hash值
   window.onhashchange = function () {
       // 再通过操作同域a.html的js回调，将结果传回
       window.parent.parent.onCallback('hello: ' + location.hash.replace('#user=', ''));
   };
</script>


 </body>
</html>